For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Template Rendering System
      • Render Service
      • Filter quick reference
      • Template expansion
        • GETHealthcheck
        • GETCurrent User Info
          • GETList Consumers
          • DELReset All Consumers
          • GETGet Consumer Info
          • DELReset Consumer
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemplate Rendering ServiceRender Service APIadmin

Reset Consumer

||View as Markdown|
DELETE
https://host.com/v1/admin/consumers/:consumer_type/reset
DELETE
/v1/admin/consumers/:consumer_type/reset
$curl -X DELETE https://host.com/v1/admin/consumers/nautobot/reset \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "consumer_name": "nautobot",
3 "message": "Consumer 'nautobot' has been successfully reset and will be recreated shortly.",
4 "status": "success",
5 "stream": "events_stream"
6}
Reset a consumer by deleting it. The consumer will be automatically recreated within seconds by the running service.
Previous

Get Consumer Info

Next

Render All

Path parameters

consumer_typeenumRequired
Valid consumer types for NATS consumer management.
Allowed values:

Response

Operation successful
consumer_namestring
messagestring
statusstring
streamstring

Errors

404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error